org.apache.solr.client.solrj.io.eval

## Class Matrix

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.Matrix

All Implemented Interfaces:
  Iterable

    public class Matrix
    extends Object
    implements Iterable

### Constructor Summary

Constructors
Constructor and Description
`Matrix(double[][] data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addToContext(Object key, Object value)`
`Map` `getContext()`
`Object` `getContextValue(Object key)`
`double[][]` `getData()`
`Iterator` `iterator()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### Matrix

    public Matrix(double[][] data)

### Method Detail

#### getContext

    public Map getContext()

#### addToContext

    public void addToContext(Object key,
                             Object value)

#### getContextValue

    public Object getContextValue(Object key)

#### getData

    public double[][] getData()

#### iterator

    public Iterator iterator()

Specified by:
  `iterator` in interface `Iterable`